UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.UMESourceEventDeregistrationCompleteInfo Class Reference

## Public Member Functions
| UMESourceEventDeregistrationCompleteInfo ()
| UMESourceEventDeregistrationCompleteInfo (int flags, long sequenceNumber) throws LBMEInvalException
int | flags ()
long | sequenceNumber ()

## Detailed Description

UME Source Event Registration Complete Info class. Contains the starting sequence number for a source returned from a UME store.

Since
  UME 2.0

## Constructor & Destructor Documentation

com.latencybusters.lbm.UMESourceEventDeregistrationCompleteInfo.UMESourceEventDeregistrationCompleteInfo | ( |  | ) |

Creates a UMESourceEventDeregistrationCompleteInfo object and initializes all fields to 0.

Since
  UME 2.0

com.latencybusters.lbm.UMESourceEventDeregistrationCompleteInfo.UMESourceEventDeregistrationCompleteInfo | ( | int | flags,
|  | long | sequenceNumber
| ) |  | throws LBMEInvalException

Creates a UMESourcEventRegistrationCompleteInfo object and initializes fields to the supplied values.

Parameters

  flags | Informational flags.
  sequenceNumber | Starting sequence number (must be >= 0).

Exceptions

  LBMEInvalException | if sequenceNumber < 0.

Since
  UME 2.0

References com.latencybusters.lbm.UMESourceEventDeregistrationCompleteInfo.flags(), and com.latencybusters.lbm.UMESourceEventDeregistrationCompleteInfo.sequenceNumber().

## Member Function Documentation

int com.latencybusters.lbm.UMESourceEventDeregistrationCompleteInfo.flags | ( |  | ) |

Get flags concerning this registration complete message.

Returns
  Flags.

Since
  UME 2.0

Referenced by com.latencybusters.lbm.UMESourceEventDeregistrationCompleteInfo.sequenceNumber(), and com.latencybusters.lbm.UMESourceEventDeregistrationCompleteInfo.UMESourceEventDeregistrationCompleteInfo().

long com.latencybusters.lbm.UMESourceEventDeregistrationCompleteInfo.sequenceNumber | ( |  | ) |

Get the starting sequence number.

Returns
  Sequence number.

References com.latencybusters.lbm.UMESourceEventDeregistrationCompleteInfo.flags().

Referenced by com.latencybusters.lbm.UMESourceEventDeregistrationCompleteInfo.UMESourceEventDeregistrationCompleteInfo().

The documentation for this class was generated from the following file:

- UMESourceEventDeregistrationCompleteInfo.java